Bug 816565 - Review Request: edgar - A platform game
Review Request: edgar - A platform game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 08:27 EDT by Andrea Musuruane
Modified: 2013-08-31 07:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 07:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Musuruane 2012-04-26 08:27:46 EDT
Spec URL: http://musuruan.fedorapeople.org/edgar.spec
SRPM URL: http://musuruan.fedorapeople.org/edgar-1.00-1.fc16.src.rpm
Description:
When his father fails to return home after venturing out one dark and stormy
night, Edgar fears the worst: he has been captured by the evil sorcerer who
lives in a fortress beyond the forbidden swamp.

Donning his armor, Edgar sets off to rescue him, but his quest will not be
easy...
Comment 1 Andrea Musuruane 2012-05-17 13:51:57 EDT
Spec URL: http://musuruan.fedorapeople.org/edgar.spec
SRPM URL: http://musuruan.fedorapeople.org/edgar-1.01-1.fc16.src.rpm

Changelog:
- Updated to upstream 1.01-2
Comment 2 Hans de Goede 2012-06-10 07:47:27 EDT
Hi,

I just saw your review swap mail about this one on the mailinglist. I'm afraid though that Edgar likely cannot go in Fedora as is, because the sound effects and music are likely non free.

parallelrealities make great games, but in the past they have used non free resources for them. We've had the same issue with blobwars (for which a new sf.net hosted upstream was founded, and there all non free resources got replaced) and its sequal blobandconquer (also new sf.net hosted upstream, resource replacement still a wip).

When the blob* issue came up, I've also mailed Richard Sweeney about edgar, his reply back then was: "I created the graphics myself, the sound and music come from various sources such as Modarchive and FindSounds.com, so you'll need to replace those."

I guess the first point of order would be to mail Richard and ask if anything has changed wrt the free-ness of the various resources. Please stay polite and friendly! We've a good working ship with Richard (ie the official blobwars page now links to the new sf.net project).

Regards,

Hans
Comment 3 Andrea Musuruane 2012-06-13 13:20:56 EDT
Richard replied there are sounds that are not licensed with a "good" Fedora content license.

He tried in the past to replace them with others from freesound.org but it was a huge task and he become quickly demoralized and stopped his attempt (moreover not all sounds in there are licensed with a "good" Fedora license). 

He's happy for someone else to supply replacements though. Maybe an effort with other distributions (e.g. Debian) can be started.

I think we can close this review here and move it to RPM Fusion. If and when this problem will be solved we can reopen it again.
Comment 4 Hans de Goede 2012-06-13 13:34:41 EDT
Hi,

(In reply to comment #3)
> Richard replied there are sounds that are not licensed with a "good" Fedora
> content license.
> 
> He tried in the past to replace them with others from freesound.org but it
> was a huge task and he become quickly demoralized and stopped his attempt
> (moreover not all sounds in there are licensed with a "good" Fedora
> license). 
> 
> He's happy for someone else to supply replacements though. Maybe an effort
> with other distributions (e.g. Debian) can be started.
> 
> I think we can close this review here and move it to RPM Fusion. If and when
> this problem will be solved we can reopen it again.

Ok, that is more or less as expected. Note that an alternaive approach is to find free replacement sounds, as was done for blobwars. freesound.org is not a good place to do that as it contains raw unedited sounds, which is not really helpful. With blobwars we got most sounds from http://soundbible.com/ which has quite a nice collection of ready for use sounds. Note it has both non-free and free sounds, so check the license of each one! I personally can recommend the sounds made by Mike Koenig, they are quite suitable for use in games.
Comment 5 Andrea Musuruane 2013-08-25 15:09:49 EDT
I reopen this review request because edgar now contains sounds licensed under a "good" Fedora license:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653813#80

Therefore I think we can include it in Fedora proper.

http://cvs.rpmfusion.org/viewvc/*checkout*/rpms/edgar/devel/edgar.spec?revision=1.8&root=nonfree

http://buildsys.rpmfusion.org/logs/fedora-development-rpmfusion_nonfree/18234-edgar-1.12-1.fc20/edgar-1.12-1.fc20.src.rpm

Hans, can you review it? It should be really straitforward since you had already reviewed for RPM Fusion:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=2378

I'll be glad to return the favour reviewing one of your packages.
Comment 6 Hans de Goede 2013-08-26 03:31:26 EDT
Cool that it has all free resources now, full review done:

Good:
--------
- rpmlint checks return:
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+ and CC-BY and CC-BY-SA and CC0 and GPLv3) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file properly installed

Should fix:
---------------
- The rm -rf %{buildroot} at the beginning of %install is obsolete / no longer needed, please remove it

No blockers: APPROVED, don't forget to bump the release so that the Fedora package is newer then the rpmfusion one.
Comment 7 Andrea Musuruane 2013-08-26 04:31:56 EDT
Thank you, Hans, for the review. Let me know what review you will need.
Comment 8 Andrea Musuruane 2013-08-26 04:34:42 EDT
New Package SCM Request
=======================
Package Name: edgar
Short Description: A platform game
Owners: musuruan
Branches: f18 f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-08-26 08:14:01 EDT
Git done (by process-git-requests).
Comment 10 Andrea Musuruane 2013-08-31 07:02:40 EDT
Imported and built. Closing.

Note You need to log in before you can comment on or make changes to this bug.